@import "home-footer.css";
@charset "UTF-8";

.member.template .header .container,
.home.template .header .container {
    justify-content: space-between;
    padding: 0 30px;
}

.member.template .header .container {
    max-width: 100%;
}

.member.template .alert {
    width: 100%;
    top: 0;
}

.select-template-title-layout {
    display: flex;
    align-items: center;
    margin: 15px 0;
}

.select-template-title-layout .viewPort-templates-title {
    font-size: 18px;
    line-height: 165%;
    letter-spacing: -0.5px;
    color: #8B8B9E;
    border-left: 1px solid #F0F0F5;
    padding: 7px 0 5px 15px;
    margin-left: 15px;
}

.viewPort-menu {
    display: flex;
    align-items: center;
}

.viewPort-menu .viewPort-type {
    border-radius: 5px;
    font-size: 18px;
    padding: 8px;
    cursor: pointer;

    display: inline-flex;
    align-items: center;
}

.viewPort-menu .viewPort-type i {
    font-size: 22px;
    margin-right: 5px;
}

.viewPort-menu .viewPort-type.active {
    background: #F0F0FF;
    color: #6D6BD1;
}

.btn.btn-bigger {
    padding: 10px 30px;
    font-size: 18px;
}

.divider-bar {
    width: 1px;
    height: 26px;
    background-color: #F0F0F5;
    margin: 0 15px;
}

.main {
    transition: margin-right .5s;
}

.side-bar {
    height: 100vh;
    width: 470px;
    position: fixed;
    z-index: 1;
    top: 0;
    right: -470px;
    overflow-x: hidden;
    transition: margin-right 0.5s, right 0.5s, width 0.5s;
}

.select-template-layout {
    max-width: 470px;
    width: 100%;
    padding: 60px 60px 60px 30px;
}

.select-template-layout .select-template-title {
    border-bottom: 1px solid #F0F0F5;
    padding-bottom: 20px;

}

.select-template-layout .select-template-title h2 {
    font-size: 32px;
    font-weight: bold;
    line-height: 130%;
    letter-spacing: -0.5px;
    color: #222222;
}

.select-template-layout .select-template-form {
    position: relative;
    margin-top: 20px;
}

.select-template-layout .select-template-form .input-block {
    margin-bottom: 25px;
}

.select-template-layout .select-template-form .input-label {
    display: block;
    font-size: 14px;
    font-weight: bold;
    line-height: 165%;
    letter-spacing: -0.5px;
    color: #222222;
    margin-bottom: 10px;
}

.select-template-layout .select-template-form .input-wrapper {
    display: flex;
    align-items: center;
    border: 1px solid rgba(0, 0, 0, 0.1);
    background: #FFFFFF;
    box-sizing: border-box;
    border-radius: 10px;
    padding: 13px 15px;
    margin-bottom: 10px;
}

.select-template-layout .select-template-form .input-control {
    width: 100%;
    border: none;
    padding: 0;
}


.select-template-layout .select-template-form .input-block .radio-wrapper {
    display: flex;
    align-items: center;
}

.select-template-layout .select-template-form .input-block .radio-wrapper input {
    display: none;
}

.select-template-layout .select-template-form .input-block .radio-wrapper label.input-label {
    flex-grow: 1;
    flex: 1;
    background: #FFFFFF;
    border: 1px solid #e2e2ea;
    box-sizing: border-box;
    font-weight: bold;
    font-size: 15px;
    line-height: 165%;
    letter-spacing: -0.5px;
    text-align: center;
    color: #222222;
    cursor: pointer;
    padding: 15px;
}

.select-template-layout .select-template-form .input-block .radio-wrapper label.input-label:nth-child(2) {
    border-radius: 10px 0 0 10px;
}

.select-template-layout .select-template-form .input-block .radio-wrapper label.input-label:nth-child(4) {
    border-radius: 0 10px 10px 0;
}

.select-template-layout .select-template-form .input-block .radio-wrapper input[type='radio']:nth-child(1):checked + label.input-label {
    border-left: 1px solid rgba(109, 107, 209, 0.2);
}

.select-template-layout .select-template-form .input-block .radio-wrapper input[type='radio']:nth-child(1):checked ~ label.input-label:nth-child(4) {
    border-left: none;
}

.select-template-layout .select-template-form .input-block .radio-wrapper input[type='radio']:nth-child(3):checked + label.input-label {
    margin-left: -1px;
}

.select-template-layout .select-template-form .input-block .radio-wrapper input[type='radio']:checked + label.input-label {
    background: #F4F4FF;
    border-color: rgba(109, 107, 209, 0.2);
    color: #6D6BD1;
}

.select-template-layout .select-template-form .input-block .radio-wrapper input[type='radio']:nth-child(1):hover + label.input-label {
    border-left: 1px solid rgba(109, 107, 209, 0.2);
}

.select-template-layout .select-template-form p {
    display: block;
    font-size: 11px;
    font-style: normal;
    line-height: 165%;;
    letter-spacing: -0.5px;
    text-align: center;
    color: #8B8B9E;
    padding: 20px;
}

.select-template-layout .select-template-form p.warning-text {
    font-size: 12px;
    text-align: left;
    color: #8B8B9E;
    padding: 0;
}

.select-template-layout .select-template-form button[type="button"] {
    display: block;
    width: 100%;
    box-shadow: none;
    outline: none;
    font-size: 18px;
    line-height: 165%;
    letter-spacing: -0.5px;
}

.select-template-close {
    display: none;
    font-size: 18px;
    line-height: 165%;;
    text-align: center;
    letter-spacing: -0.5px;
    color: #8B8B9E;
    cursor: pointer;
}

.select-template-close i {
    vertical-align: middle;
    font-size: 10px;
    margin-left: 5px;
}

.sideBar-open .side-bar {
    right: 0;
}

.sideBar-open .main {
    margin-right: 470px;
}

.sideBar-open .js-selectTemplate-open {
    display: none;
}

.sideBar-open .select-template-close {
    display: block;
}

/* template view port */
.templates-wrapper {
    height: calc(100vh - 78px);
    padding: 30px;
}

.templates-wrapper .responsive-scale-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 1840px;
    width: 100%;
    height: 100%;
    margin: 0 auto;
    opacity: 1;
    transition: opacity 0.5s cubic-bezier(.694, 0, .335, 1);
}

.templates-wrapper .responsive-scale-wrapper.fade-out {
    opacity: 0;
    transition: opacity 0.5s cubic-bezier(.694, 0, .335, 1);
}

.templates-wrapper .responsive-scale-wrapper.monitor {
    max-width: 100%;
}

.templates-wrapper .responsive-scale-wrapper.phone {
    max-width: 480px;
}

/* design - block */
.block-list-wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 33px 24px;
    padding-bottom: 120px;
    margin: 0 auto;
}

.block-card {
    display: inline-flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    position: relative;
    margin-bottom: unset;
    min-width: 0;
}

.block-card .img-wrapper {
    justify-content: center;
    width: 100%;
    aspect-ratio: 3 / 2;
    object-fit: cover;
    max-height: 240px;
    border: 1px solid rgba(0, 0, 0, 0.1);
    border-radius: 12px;
    cursor: pointer;
    background-color: #f9fafc;
    overflow: hidden;
}

.block-card .img-inner {
    position: relative;
    overflow: hidden;
}

.block-card .img-inner::after {
    content: "";
    position: absolute;
    top: 1px;
    left: 1px;
    width: calc(100% - 2px);
    height: 100%;
    background-color: rgba(255, 255, 255, 0);
    transition: background-color 0.3s ease;
    pointer-events: none;
    border-radius: 12px;
}

.block-card .img-inner:hover::after {
    background-color: rgba(255, 255, 255, 0.3);
}

.block-card .img-inner img {
    display: block;
    width: 100%;
    aspect-ratio: 3 / 2;
    object-fit: cover;
}

.block-card .info-wrapper {
    display: flex;
    gap: 6px;
    padding: 0 4px;
    width: 100%;
}

.block-card .info-wrapper .premier-badge {
    width: 20px;
    height: 20px;
    position: relative;
    top: 2px;
}

.block-card .info-wrapper .name-wrapper {
    min-width: 0;
}

.block-card .info-wrapper .name {
    font-size: 16px;
    font-weight: 600;
    line-height: 160%;
    color: #000;
    width: 100%;
}

.block-card .info-wrapper .creator {
    font-size: 14px;
    font-weight: 500;
    line-height: 150%;
    color: #85878e;
    width: 100%;
}

/* block modal */
.block-preview-modal {
    display: none;
    position: fixed;
    inset: 0;
    z-index: 2000;
}

.block-preview-modal.active {
    display: flex;
    align-items: center;
    justify-content: center;
}

.block-preview-modal .modal-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.8);
}

.block-preview-modal .modal-content {
    display: flex;
    flex-direction: column;
    position: relative;
    z-index: 1;
    width: 90vw;
    min-width: 1024px;
    max-width: 1600px;
    height: 92vh;
    border-radius: 16px;
    background-color: #fff;
    overflow: hidden;
}

.block-preview-modal .modal-header {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 10px;
    align-self: stretch;
    position: sticky;
    top: 0;
    background: #fff;
    z-index: 2;
    padding: 16px 20px;
}

.block-preview-modal .ico-close-line {
    padding: 4px;
    background: none;
    border: none;
    font-size: 16px;
    cursor: pointer;
}

.block-preview-modal .modal-body {
    padding: 0 40px;
    position: relative;
    height: 100%;
    max-height: calc(-58px + 92vh);
    overflow-y: scroll;
}

.block-preview-modal iframe {
    width: 100%;
    height: 100%;
}

@media screen and (max-width: 1250px) {
    .member.template .header .container {
        border: 1px solid #F0F0F5;
        padding: 0 20px;
    }

    .member.template .main {
        display: flex;
        flex-direction: column;
        height: 100%;
        margin-right: 0 !important;
    }

    .member.template .main .header {
        order: 1;
    }

    .member.template .main .templates-wrapper {
        order: 2;
        flex: 1;
        height: auto;
        padding: 0;
    }

    .select-template-title-layout .viewPort-templates-title {
        display: flex;
        align-items: center;
        border-left: none;
        font-weight: bold;
        text-align: center;
        color: #222222;
        white-space: nowrap;
        padding: 0;
        margin-left: 0;
    }

    .select-template-title-layout .viewPort-templates-title i {
        font-size: 24px;
        margin-right: 15px;
    }

    .viewPort-menu .viewPort-type {
        border: 1px solid #F0F0F5;
        border-radius: 100%;
        font-size: 0;
        white-space: nowrap;
    }

    .viewPort-menu .divider-bar {
        width: 0;
        margin: 0 4px;
    }

    .viewPort-menu .viewPort-type i {
        margin-right: 0;
    }

    .js-selectTemplate-open, .js-selectTemplate-close {
        display: none !important;
    }

    .mobile-select-template-wrapper {
        order: 3;
        width: 100%;
        background-color: transparent;
        text-align: center;
        margin-bottom: 25px;
    }

    .mobile-select-template-wrapper a {
        display: inline-block;
        border-bottom: 1px solid #8B8B9E;
        font-size: 15px;
        line-height: 165%;;
        text-align: center;
        letter-spacing: -0.05em;
        color: #8B8B9E;
        margin-bottom: 20px;
    }

    .mobile-select-template-wrapper button {
        display: block;
        width: calc(100% - 40px);
        margin: 0 auto;
    }

    .side-bar {
        background-color: #FFFFFF;
        min-width: 320px;
        height: 100%;
        margin: 0 auto;
    }

    .sideBar-open .side-bar {
        width: 100%;
        right: 0;
    }

    .select-template-layout {
        padding: 30px;
        margin: 0 auto;
    }

    .select-template-layout .select-template-title {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .select-template-layout .select-template-title h2 {
        font-size: 28px;
    }

    .select-template-layout .select-template-title i {
        font-size: 24px;
    }

    .select-template-layout .select-template-form .input-label {
        font-size: 13px;
    }

    /* template view port */
    .responsive-scale-wrapper.mobile {
        width: 100%;
    }

    .responsive-scale-wrapper .monitor {
        max-width: 250px;
    }

    .responsive-scale-wrapper .phone {
        max-width: 200px;
    }

    .responsive-scale-wrapper.mobile img {
        width: 100%;
        border-radius: 10px;
        box-shadow: 20px 20px 50px rgba(0, 0, 0, 0.1);
    }


    /* design - block */
    .block-list-wrapper {
        grid-template-columns: repeat(2, 1fr);
        gap: 24px 16px;
        padding-bottom: 60px;
    }

    .block-card .img-wrapper {
        height: unset;
        max-height: unset;
    }

    /* block modal */
    .block-preview-modal .modal-content {
        width: 100%;
        max-width: 750px;
        min-width: unset;
        height: 100%;
        border-radius: 0;
    }

    .block-preview-modal .modal-header {
        padding: 16px 20px;
    }

    .block-preview-modal .modal-body {
        padding: 0 20px;
        max-height: unset;
        overflow: hidden;
    }

    .block-preview-modal .modal-content .info.screen-mobile {
        display: flex;
        min-height: 52px;
        padding: 16px;
        margin: 0 20px;
        align-items: center;
        gap: 12px;
        border-radius: 12px;
        border: 1px solid rgba(0, 0, 0, 0.03);
        background-color: #e8f7ff;
        box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
    }

    .block-preview-modal .modal-content .info i {
        color: #40b7fa;
        font-size: 18px;
    }

    .block-preview-modal .modal-content .info p {
        color: #333;
        font-size: 14px;
        font-weight: 400;
        line-height: 150%
    }
}

@media screen and (max-width: 480px) {
    /* template view port */
    .responsive-scale-wrapper .monitor {
        max-width: 200px;
    }

    .responsive-scale-wrapper .phone {
        max-width: 150px;
    }
}
